petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscSpaceCreate

Creates an empty PetscSpace object. The type can then be set with PetscSpaceSetType().

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceCreate(MPI_Comm comm, PetscSpace *sp)

Collective

### Input Parameter

| comm | - The communicator for the PetscSpace object

### Output Parameter

| sp | - The PetscSpace object

### See Also

PetscSpaceSetType(), PETSCSPACEPOLYNOMIAL

### Level

beginner

### Location

src/dm/dt/space/interface/space.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages